## libsemanage 2.8

=== man/Makefile ===
# Installation directories.
PREFIX ?= /usr
MAN3DIR ?= $(PREFIX)/share/man/man3
MAN5DIR ?= $(PREFIX)/share/man/man5

all:

install: all
	mkdir -p $(DESTDIR)$(MAN3DIR)
	mkdir -p $(DESTDIR)$(MAN5DIR)
	install -m 644 man3/*.3 $(DESTDIR)$(MAN3DIR)
	install -m 644 man5/*.5 $(DESTDIR)$(MAN5DIR)

=== src/Makefile ===
# Support building the Python bindings multiple times, against various Python
# runtimes (e.g. Python 2 vs Python 3) by optionally prefixing the build
# targets with "PYPREFIX":
PYTHON ?= python
PYPREFIX ?= $(shell $(PYTHON) -c 'import sys;print("python-%d.%d" % sys.version_info[:2])')
RUBY ?= ruby
RUBYPREFIX ?= $(notdir $(RUBY))
PKG_CONFIG ?= pkg-config

# Installation directories.
PREFIX ?= /usr
LIBDIR ?= $(PREFIX)/lib
INCLUDEDIR ?= $(PREFIX)/include
PYINC ?= $(shell $(PKG_CONFIG) --cflags $(PYPREFIX))
PYLIBS ?= $(shell $(PKG_CONFIG) --libs $(PYPREFIX))
PYTHONLIBDIR ?= $(shell $(PYTHON) -c "from distutils.sysconfig import *; print(get_python_lib(plat_specific=1, prefix='$(PREFIX)'))")
PYCEXT ?= $(shell $(PYTHON) -c 'import imp;print([s for s,m,t in imp.get_suffixes() if t == imp.C_EXTENSION][0])')
RUBYINC ?= $(shell $(RUBY) -e 'puts "-I" + RbConfig::CONFIG["rubyarchhdrdir"] + " -I" + RbConfig::CONFIG["rubyhdrdir"]')
RUBYLIBS ?= $(shell $(RUBY) -e 'puts "-L" + RbConfig::CONFIG["libdir"] + " -L" + RbConfig::CONFIG["archlibdir"] + " " + RbConfig::CONFIG["LIBRUBYARG_SHARED"]')
RUBYINSTALL ?= $(shell $(RUBY) -e 'puts RbConfig::CONFIG["vendorarchdir"]')

DEFAULT_SEMANAGE_CONF_LOCATION=/etc/selinux/semanage.conf

ifeq ($(DEBUG),1)
	export CFLAGS = -g3 -O0 -gdwarf-2 -fno-strict-aliasing -Wall -Wshadow -Werror
	export LDFLAGS = -g
endif

LEX = flex
LFLAGS = -s
YACC = bison
YFLAGS = -d

VERSION = $(shell cat ../VERSION)
LIBVERSION = 1

LIBA=libsemanage.a
TARGET=libsemanage.so
LIBPC=libsemanage.pc
SWIGIF= semanageswig_python.i semanageswig_python_exception.i
SWIGRUBYIF= semanageswig_ruby.i
SWIGCOUT= semanageswig_wrap.c
SWIGRUBYCOUT= semanageswig_ruby_wrap.c
SWIGLOBJ:= $(patsubst %.c,$(PYPREFIX)%.lo,$(SWIGCOUT))
SWIGRUBYLOBJ:= $(patsubst %.c,$(RUBYPREFIX)%.lo,$(SWIGRUBYCOUT)) 
SWIGSO=$(PYPREFIX)_semanage.so
SWIGFILES=$(SWIGSO) semanage.py 
SWIGRUBYSO=$(RUBYPREFIX)_semanage.so
LIBSO=$(TARGET).$(LIBVERSION)

GENERATED=$(SWIGCOUT) $(SWIGRUBYCOUT) semanageswig_python_exception.i $(sort $(wildcard conf-*.[ch]))
SRCS= $(filter-out $(GENERATED),$(sort $(wildcard *.c)))

OBJS= $(patsubst %.c,%.o,$(SRCS)) conf-scan.o conf-parse.o
LOBJS= $(patsubst %.c,%.lo,$(SRCS)) conf-scan.lo conf-parse.lo
CFLAGS ?= -Werror -Wall -W -Wundef -Wshadow -Wmissing-noreturn -Wmissing-format-attribute

SWIG_CFLAGS += -Wno-error -Wno-unused-but-set-variable -Wno-unused-variable -Wno-shadow \
		-Wno-unused-parameter

override CFLAGS += -I../include -D_GNU_SOURCE
RANLIB ?= ranlib

SWIG = swig -Wall -python -o $(SWIGCOUT) -outdir ./

SWIGRUBY = swig -Wall -ruby -o $(SWIGRUBYCOUT) -outdir ./

all: $(LIBA) $(LIBSO) $(LIBPC)

pywrap: all $(SWIGSO)

rubywrap: all $(SWIGRUBYSO)

$(SWIGLOBJ): $(SWIGCOUT)
	$(CC) $(CFLAGS) $(SWIG_CFLAGS) $(PYINC) -fPIC -DSHARED -c -o $@ $<

$(SWIGRUBYLOBJ): $(SWIGRUBYCOUT)
	$(CC) $(CFLAGS) $(SWIG_CFLAGS) $(RUBYINC) -fPIC -DSHARED -c -o $@ $<

$(SWIGSO): $(SWIGLOBJ)
	$(CC) $(CFLAGS) $(LDFLAGS) -L. -shared -o $@ $< -lsemanage $(PYLIBS)

$(SWIGRUBYSO): $(SWIGRUBYLOBJ)
	$(CC) $(CFLAGS) $(LDFLAGS) -L. -shared -o $@ $^ -lsemanage $(RUBYLIBS)

$(LIBA): $(OBJS)
	$(AR) rcs $@ $^
	$(RANLIB) $@

$(LIBSO): $(LOBJS)
	$(CC) $(CFLAGS) $(LDFLAGS) -shared -o $@ $^ -lsepol -laudit -lselinux -lbz2 -Wl,-soname,$(LIBSO),--version-script=libsemanage.map,-z,defs
	ln -sf $@ $(TARGET)

$(LIBPC): $(LIBPC).in ../VERSION
	sed -e 's/@VERSION@/$(VERSION)/; s:@prefix@:$(PREFIX):; s:@libdir@:$(LIBDIR):; s:@includedir@:$(INCLUDEDIR):' < $< > $@

semanageswig_python_exception.i: ../include/semanage/semanage.h
	bash -e exception.sh > $@ || (rm -f $@ ; false)

conf-scan.c: conf-scan.l conf-parse.h
	$(LEX) $(LFLAGS) -o $@ $<

conf-parse.c: conf-parse.y
	$(YACC) $(YFLAGS) -o $@ $<

conf-parse.h: conf-parse.c

%.o:  %.c 
	$(CC) $(CFLAGS) -c -o $@ $<

%.lo:  %.c
	$(CC) $(CFLAGS) -fPIC -DSHARED -c -o $@ $<

conf-parse.o:  conf-parse.c
	$(CC) $(filter-out -Werror, $(CFLAGS)) -c -o $@ $<

conf-parse.lo:  conf-parse.c
	$(CC) $(filter-out -Werror, $(CFLAGS)) -fPIC -DSHARED -c -o $@ $<

conf-scan.o:  conf-scan.c
	$(CC) $(filter-out -Werror, $(CFLAGS)) -c -o $@ $<

conf-scan.lo:  conf-scan.c
	$(CC) $(filter-out -Werror, $(CFLAGS)) -fPIC -DSHARED -c -o $@ $<

$(SWIGCOUT): $(SWIGIF)
	$(SWIG) $<

$(SWIGRUBYCOUT): $(SWIGRUBYIF)
	$(SWIGRUBY) $<

swigify: $(SWIGIF)
	$(SWIG) $<

install: all 
	test -d $(DESTDIR)$(LIBDIR) || install -m 755 -d $(DESTDIR)$(LIBDIR)
	install -m 644 $(LIBA) $(DESTDIR)$(LIBDIR)
	install -m 755 $(LIBSO) $(DESTDIR)$(LIBDIR)
	test -d $(DESTDIR)$(LIBDIR)/pkgconfig || install -m 755 -d $(DESTDIR)$(LIBDIR)/pkgconfig
	install -m 644 $(LIBPC) $(DESTDIR)$(LIBDIR)/pkgconfig
	test -f $(DESTDIR)$(DEFAULT_SEMANAGE_CONF_LOCATION) || install -m 644 -D semanage.conf $(DESTDIR)$(DEFAULT_SEMANAGE_CONF_LOCATION)
	cd $(DESTDIR)$(LIBDIR) && ln -sf $(LIBSO) $(TARGET)

install-pywrap: pywrap 
	test -d $(DESTDIR)$(PYTHONLIBDIR) || install -m 755 -d $(DESTDIR)$(PYTHONLIBDIR)
	install -m 755 $(SWIGSO) $(DESTDIR)$(PYTHONLIBDIR)/_semanage$(PYCEXT)
	install -m 644 semanage.py $(DESTDIR)$(PYTHONLIBDIR)


install-rubywrap: rubywrap
	test -d $(DESTDIR)$(RUBYINSTALL) || install -m 755 -d $(DESTDIR)$(RUBYINSTALL) 
	install -m 755 $(SWIGRUBYSO) $(DESTDIR)$(RUBYINSTALL)/semanage.so

relabel:
	/sbin/restorecon $(DESTDIR)$(LIBDIR)/$(LIBSO)

clean: 
	-rm -f $(LIBPC) $(OBJS) $(LOBJS) $(LIBA) $(LIBSO) $(SWIGLOBJ) $(SWIGSO) $(SWIGRUBYSO) $(TARGET) conf-parse.c conf-parse.h conf-scan.c *.o *.lo *~

distclean: clean
	rm -f $(GENERATED) $(SWIGFILES)

indent:
	../../scripts/Lindent $(filter-out $(GENERATED),$(wildcard *.[ch]))

.PHONY: all clean pywrap rubywrap swigify install install-pywrap install-rubywrap distclean

=== debian/changelog ===
libsemanage (2.8-2) unstable; urgency=medium

  * d/p/0001-libsemanage-Always-set-errno-to-0-before-calling-get.patch:
    Fix boggus error message when calling genhomedircon
  * Bump Standards-Version to 4.3.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 06 Jan 2019 13:09:51 +0100

libsemanage (2.8-1) unstable; urgency=medium

  * New upstream release
    - debian/control: Bump {build-}dependencies to match new release
    - debian/libsemanage1.symbols: Add new exported symbol
  * debian/control: Point Vcs-* fields to new (salsa) machine
  * debian/rules: Adjust to match upstream changes to the build system
  * debian/copyright: Fix a spelling error, thanks to lintian
  * debian/control: Bump Standards-Version to 4.1.4 (no further changes)
  * debian/rules: Use dh_missing --list-missing instead of dh_install
  * debian/control: Remove X-Python(3)-Version fields as the required version
    is already in oldstable, to please lintian

 -- Laurent Bigonville <bigon@debian.org>  Tue, 29 May 2018 12:05:37 +0200

=== debian/control ===
Source: libsemanage
VCS-Git: https://salsa.debian.org/selinux-team/libsemanage.git
VCS-Browser: https://salsa.debian.org/selinux-team/libsemanage
Priority: optional
Section: libdevel
Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
Uploaders: Laurent Bigonville <bigon@debian.org>,
           Russell Coker <russell@coker.com.au>
Standards-Version: 4.3.0
Build-Depends: bison,
               debhelper (>= 10),
               dh-python <!nopython>,
               file,
               flex,
               gem2deb (>= 0.5.0~) <!noruby>,
               libaudit-dev,
               libbz2-dev,
               libcunit1-dev <!nocheck>,
               libselinux1-dev (>= 2.8),
               libsepol1-dev (>= 2.8),
               pkg-config,
               python-all-dev (>= 2.6.6-3~) <!nopython>,
               python3-all-dev <!nopython>,
               swig <!nopython> <!noruby>
Homepage: http://userspace.selinuxproject.org/
XS-Ruby-Versions: all

Package: libsemanage-common
Architecture: all
Section: libs
Depends: ${misc:Depends}
Breaks: libsemanage1 (<= 2.0.41-1), libsemanage1-dev (<< 2.1.6-3~)
Replaces: libsemanage1 (<= 2.0.41-1), libsemanage1-dev (<< 2.1.6-3~)
Multi-Arch: foreign
Description: Common files for SELinux policy management libraries
 This package provides the common files used by the shared libraries
 for SELinux policy management.
 .
 Security-enhanced Linux is a patch of the Linux kernel and a
 number of utilities with enhanced security functionality designed to
 add mandatory access controls to Linux.  The Security-enhanced Linux
 kernel contains new architectural components originally developed to
 improve the security of the Flask operating system. These
 architectural components provide general support for the enforcement
 of many kinds of mandatory access control policies, including those
 based on the concepts of Type Enforcement, Role-based Access
 Control, and Multi-level Security.

Package: libsemanage1
Architecture: linux-any
Section: libs
Depends: libsemanage-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: policycoreutils (<< 2.4),
        selinux-policy-default (<< 2:2.20140421-10~),
        selinux-policy-mls (<< 2:2.20140421-10~)
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: SELinux policy management library
 This package provides the shared libraries for SELinux policy management.
 It uses libsepol for binary policy manipulation and libselinux for
 interacting with the SELinux system.  It also exec's helper programs
 for loading policy and for checking whether the file_contexts
 configuration is valid (load_policy and setfiles from
 policycoreutils) presently, although this may change at least for the
 bootstrapping case
 .
 Security-enhanced Linux is a patch of the Linux kernel and a
 number of utilities with enhanced security functionality designed to
 add mandatory access controls to Linux.  The Security-enhanced Linux
 kernel contains new architectural components originally developed to
 improve the security of the Flask operating system. These
 architectural components provide general support for the enforcement
 of many kinds of mandatory access control policies, including those
 based on the concepts of Type Enforcement, Role-based Access
 Control, and Multi-level Security.

Package: libsemanage1-dev
Architecture: linux-any
Depends: libbz2-dev,
         libselinux1-dev (>= 2.8),
         libsemanage1 (= ${binary:Version}),
         libsepol1-dev (>= 2.8),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: libsemanage-dev
Conflicts: libsemanage-dev
Description: Header files and libraries for SELinux policy manipulation
 This package provides an API for the management of SELinux policies.
 It contains the static libraries and header files needed
 for developing applications that manage SELinux policies.
 .
 Security-enhanced Linux is a patch of the Linux kernel and a
 number of utilities with enhanced security functionality designed to
 add mandatory access controls to Linux.  The Security-enhanced Linux
 kernel contains new architectural components originally developed to
 improve the security of the Flask operating system. These
 architectural components provide general support for the enforcement
 of many kinds of mandatory access control policies, including those
 based on the concepts of Type Enforcement, Role-based Access
 Control, and Multi-level Security.

Package: ruby-semanage
Architecture: linux-any
Depends: ruby | ruby-interpreter, ${misc:Depends}, ${shlibs:Depends}
Section: ruby
Build-Profiles: <!noruby>
XB-Ruby-Versions: ${ruby:Versions}
Description: Ruby bindings to for SELinux policy management
 This package provides the Ruby bindings needed for developing Ruby
 applications that manage SELinux policies.
 .
 Security-enhanced Linux is a patch of the Linux kernel and a
 number of utilities with enhanced security functionality designed to
 add mandatory access controls to Linux.  The Security-enhanced Linux
 kernel contains new architectural components originally developed to
 improve the security of the Flask operating system. These
 architectural components provide general support for the enforcement
 of many kinds of mandatory access control policies, including those
 based on the concepts of Type Enforcement, Role-based Access
 Control, and Multi-level Security.

Package: python-semanage
Architecture: linux-any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Section: python
Build-Profiles: <!nopython>
Description: Python bindings for SELinux policy management
 This package provides Python bindings for the management of SELinux
 policies.
 .
 Security-enhanced Linux is a patch of the Linux kernel and a
 number of utilities with enhanced security functionality designed to
 add mandatory access controls to Linux.  The Security-enhanced Linux
 kernel contains new architectural components originally developed to
 improve the security of the Flask operating system. These
 architectural components provide general support for the enforcement
 of many kinds of mandatory access control policies, including those
 based on the concepts of Type Enforcement, Role-based Access
 Control, and Multi-level Security.

Package: python3-semanage
Architecture: linux-any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Section: python
Build-Profiles: <!nopython>
Description: Python3 bindings for SELinux policy management
 This package provides Python3 bindings for the management of SELinux
 policies.
 .
 Security-enhanced Linux is a patch of the Linux kernel and a
 number of utilities with enhanced security functionality designed to
 add mandatory access controls to Linux.  The Security-enhanced Linux
 kernel contains new architectural components originally developed to
 improve the security of the Flask operating system. These
 architectural components provide general support for the enforcement
 of many kinds of mandatory access control policies, including those
 based on the concepts of Type Enforcement, Role-based Access
 Control, and Multi-level Security.

Package: semanage-utils
Architecture: linux-any
Depends: libsepol1 (>= 2.8),
         python3 (>= 3.2),
         python3-selinux (>= 2.8),
         python3-semanage (>= 2.8),
         ${misc:Depends},
         ${python3:Depends}
Section: admin
Description: SELinux policy management utilities
 This package contains an utility that can be used to migrate from the old
 policy store format (HLL, stored in /etc/selinux) to the new one (CLI, stored
 in /var/lib/selinux).
 .
 Security-enhanced Linux is a patch of the Linux kernel and a
 number of utilities with enhanced security functionality designed to
 add mandatory access controls to Linux.  The Security-enhanced Linux
 kernel contains new architectural components originally developed to
 improve the security of the Flask operating system. These
 architectural components provide general support for the enforcement
 of many kinds of mandatory access control policies, including those
 based on the concepts of Type Enforcement, Role-based Access
 Control, and Multi-level Security.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk
ifeq ($(origin CC),default)
CC := $(DEB_HOST_GNU_TYPE)-gcc
endif
export CC

DOPACKAGES = $(shell dh_listpackages)

DH_ADDONS=
ifneq ($(filter python-semanage,$(DOPACKAGES)),)
PYVERSIONS = $(shell pyversions -rv)
DH_ADDONS += --with=python2
endif
ifneq ($(filter python3-semanage,$(DOPACKAGES)),)
PY3VERSIONS = $(shell py3versions -rv)
DH_ADDONS += --with=python3
endif
ifneq ($(filter ruby-semanage,$(DOPACKAGES)),)
RUBY_VERSIONS := $(shell dh_ruby --print-supported)
DH_ADDONS += --with=ruby
endif

# The build system doesn't use CPPFLAGS, pass them to CFLAGS to enable the
# missing (hardening) flags.
export DEB_CFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)

%:
	dh $@ $(DH_ADDONS)

override_dh_auto_build:
	$(MAKE) all

ifneq ($(filter python-semanage,$(DOPACKAGES)),)
	set -e; for version in $(PYVERSIONS); do         \
	  $(MAKE) pywrap PYTHON=python$$version PYLIBS=; \
	done;
endif
ifneq ($(filter python3-semanage,$(DOPACKAGES)),)
	set -e; for version in $(PY3VERSIONS); do        \
	  $(MAKE) pywrap PYTHON=python$$version PYLIBS=; \
	done;
endif
ifneq ($(filter ruby-semanage,$(DOPACKAGES)),)
	set -e; for version in $(RUBY_VERSIONS); do      \
	  $(MAKE) -C src rubywrap RUBY=$$version; \
	done;
endif

override_dh_auto_install:
	$(MAKE) install DESTDIR="${CURDIR}/debian/tmp" \
	  LIBDIR="/usr/lib/${DEB_HOST_MULTIARCH}" \
	  SHLIBDIR="/usr/lib/${DEB_HOST_MULTIARCH}" \
	  SELINUXEXECDIR="/usr/lib/selinux"

ifneq ($(filter python-semanage,$(DOPACKAGES)),)
	set -e; for version in $(PYVERSIONS); do         \
	  $(MAKE) install-pywrap PYTHON=python$$version DESTDIR="${CURDIR}/debian/tmp"; \
	done;
endif
ifneq ($(filter python3-semanage,$(DOPACKAGES)),)
	set -e; for version in $(PY3VERSIONS); do        \
	  $(MAKE) install-pywrap PYTHON=python$$version DESTDIR="${CURDIR}/debian/tmp"; \
	done;
endif
ifneq ($(filter ruby-semanage,$(DOPACKAGES)),)
	set -e; for version in $(RUBY_VERSIONS); do      \
	  $(MAKE) -C src install-rubywrap RUBY=$$version DESTDIR="${CURDIR}/debian/tmp"; \
	done;
endif

override_dh_auto_clean:
ifneq ($(filter python-semanage,$(DOPACKAGES)),)
	set -e; for version in $(PYVERSIONS); do         \
	  $(MAKE) clean PYTHON=python$$version;  \
	done;
endif

override_dh_missing:
	dh_missing --list-missing

override_dh_fixperms:
	dh_fixperms
ifneq ($(filter python-semanage,$(DOPACKAGES)),)
	chmod -x ${CURDIR}/debian/python-semanage/usr/lib/python*/*-packages/semanage.py
endif
ifneq ($(filter python3-semanage,$(DOPACKAGES)),)
	chmod -x ${CURDIR}/debian/python3-semanage/usr/lib/python*/*-packages/semanage.py
endif

## libsemanage 2.9

=== debian/changelog ===
libsemanage (2.9-3) unstable; urgency=medium

  * Drop python-semanage package, python 2 is EOL and it has not rdeps
  * Bump Standards-Version to 4.4.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 22 Jul 2019 01:51:03 +0200

libsemanage (2.9-2) unstable; urgency=medium

  * Upload to unstable
  * debian/control: Mark libsemanage1-dev and ruby-semanage as Multi-Arch same

 -- Laurent Bigonville <bigon@debian.org>  Sun, 07 Jul 2019 23:18:44 +0200

libsemanage (2.9-1) experimental; urgency=medium

  * New upstream release
    - debian/control: Bump {build-}dependencies to match new release
  * debian/watch: Adjust the URL
  * debian/patches/semigrate-store.patch: Refreshed
  * d/p/0001-libsemanage-Always-set-errno-to-0-before-calling-get.patch:
    Dropped, applied upstream
  * debian/libsemanage-common.install: Install manpages in Russian
  * debian/patches/libexec-path.patch: Also fix the path in the Russian
    manpage

 -- Laurent Bigonville <bigon@debian.org>  Mon, 18 Mar 2019 14:30:12 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Build-Depends: bison,
                debhelper (>= 10),
                dh-python <!nopython>,
@@ -16,10 +16,9 @@
                libaudit-dev,
                libbz2-dev,
                libcunit1-dev <!nocheck>,
-               libselinux1-dev (>= 2.8),
-               libsepol1-dev (>= 2.8),
+               libselinux1-dev (>= 2.9),
+               libsepol1-dev (>= 2.9),
                pkg-config,
-               python-all-dev (>= 2.6.6-3~) <!nopython>,
                python3-all-dev <!nopython>,
                swig <!nopython> <!noruby>
 Homepage: http://userspace.selinuxproject.org/
@@ -79,13 +78,14 @@
 Package: libsemanage1-dev
 Architecture: linux-any
 Depends: libbz2-dev,
-         libselinux1-dev (>= 2.8),
+         libselinux1-dev (>= 2.9),
          libsemanage1 (= ${binary:Version}),
-         libsepol1-dev (>= 2.8),
+         libsepol1-dev (>= 2.9),
          ${misc:Depends},
          ${shlibs:Depends}
 Provides: libsemanage-dev
 Conflicts: libsemanage-dev
+Multi-Arch: same
 Description: Header files and libraries for SELinux policy manipulation
  This package provides an API for the management of SELinux policies.
  It contains the static libraries and header files needed
@@ -107,28 +107,10 @@
 Section: ruby
 Build-Profiles: <!noruby>
 XB-Ruby-Versions: ${ruby:Versions}
+Multi-Arch: same
 Description: Ruby bindings to for SELinux policy management
  This package provides the Ruby bindings needed for developing Ruby
  applications that manage SELinux policies.
- .
- Security-enhanced Linux is a patch of the Linux kernel and a
- number of utilities with enhanced security functionality designed to
- add mandatory access controls to Linux.  The Security-enhanced Linux
- kernel contains new architectural components originally developed to
- improve the security of the Flask operating system. These
- architectural components provide general support for the enforcement
- of many kinds of mandatory access control policies, including those
- based on the concepts of Type Enforcement, Role-based Access
- Control, and Multi-level Security.
-
-Package: python-semanage
-Architecture: linux-any
-Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
-Section: python
-Build-Profiles: <!nopython>
-Description: Python bindings for SELinux policy management
- This package provides Python bindings for the management of SELinux
- policies.
  .
  Security-enhanced Linux is a patch of the Linux kernel and a
  number of utilities with enhanced security functionality designed to
@@ -161,10 +143,10 @@
 
 Package: semanage-utils
 Architecture: linux-any
-Depends: libsepol1 (>= 2.8),
+Depends: libsepol1 (>= 2.9),
          python3 (>= 3.2),
-         python3-selinux (>= 2.8),
-         python3-semanage (>= 2.8),
+         python3-selinux (>= 2.9),
+         python3-semanage (>= 2.9),
          ${misc:Depends},
          ${python3:Depends}
 Section: admin

## libsemanage 3.0

=== src/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Support building the Python bindings multiple times, against various Python
 # runtimes (e.g. Python 2 vs Python 3) by optionally prefixing the build
 # targets with "PYPREFIX":
-PYTHON ?= python
+PYTHON ?= python3
 PYPREFIX ?= $(shell $(PYTHON) -c 'import sys;print("python-%d.%d" % sys.version_info[:2])')
 RUBY ?= ruby
 RUBYPREFIX ?= $(notdir $(RUBY))
@@ -94,7 +94,7 @@
 $(LIBPC): $(LIBPC).in ../VERSION
 	sed -e 's/@VERSION@/$(VERSION)/; s:@prefix@:$(PREFIX):; s:@libdir@:$(LIBDIR):; s:@includedir@:$(INCLUDEDIR):' < $< > $@
 
-semanageswig_python_exception.i: ../include/semanage/semanage.h
+semanageswig_python_exception.i: exception.sh $(wildcard ../include/semanage/*.h)
 	bash -e exception.sh > $@ || (rm -f $@ ; false)
 
 conf-scan.c: conf-scan.l conf-parse.h

=== debian/changelog ===
libsemanage (3.0-1build2) focal; urgency=medium

  [ Rafael David Tinoco ]
  * Sponsoring ruby2.7 transitions

  [ Lucas Kanashiro ]
  * No-change rebuild for ruby2.7

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Wed, 26 Feb 2020 17:10:50 +0000

libsemanage (3.0-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:20:43 +0100

libsemanage (3.0-1) unstable; urgency=medium

  * New upstream release
    - debian/control: Bump {build-}dependencies to match new release
    - d/p/fix_tests.patch: Fix the tests to run from the released tarball and
      add secilc to the Build-dependencies
  * Bump Standards-Version to 4.4.1 (no further changes)
  * Bump debhelper compatibility to 12
  * Drop d/p/libexec-path.patch: look for hll compiler in /usr/libexec add
    Breaks against policycoreutils << 3.0 to be sure the exec is installed

 -- Laurent Bigonville <bigon@debian.org>  Thu, 12 Dec 2019 11:47:10 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Build-Depends: bison,
-               debhelper (>= 10),
+               debhelper (>= 12),
                dh-python <!nopython>,
                file,
                flex,
@@ -16,10 +16,11 @@
                libaudit-dev,
                libbz2-dev,
                libcunit1-dev <!nocheck>,
-               libselinux1-dev (>= 2.9),
-               libsepol1-dev (>= 2.9),
+               libselinux1-dev (>= 3.0),
+               libsepol1-dev (>= 3.0),
                pkg-config,
                python3-all-dev <!nopython>,
+               secilc (>= 3.0) <!nocheck>,
                swig <!nopython> <!noruby>
 Homepage: http://userspace.selinuxproject.org/
 XS-Ruby-Versions: all
@@ -51,7 +52,7 @@
 Depends: libsemanage-common (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Breaks: policycoreutils (<< 2.4),
+Breaks: policycoreutils (<< 3.0),
         selinux-policy-default (<< 2:2.20140421-10~),
         selinux-policy-mls (<< 2:2.20140421-10~)
 Pre-Depends: ${misc:Pre-Depends}
@@ -78,9 +79,9 @@
 Package: libsemanage1-dev
 Architecture: linux-any
 Depends: libbz2-dev,
-         libselinux1-dev (>= 2.9),
+         libselinux1-dev (>= 3.0),
          libsemanage1 (= ${binary:Version}),
-         libsepol1-dev (>= 2.9),
+         libsepol1-dev (>= 3.0),
          ${misc:Depends},
          ${shlibs:Depends}
 Provides: libsemanage-dev
@@ -143,10 +144,10 @@
 
 Package: semanage-utils
 Architecture: linux-any
-Depends: libsepol1 (>= 2.9),
+Depends: libsepol1 (>= 3.0),
          python3 (>= 3.2),
-         python3-selinux (>= 2.9),
-         python3-semanage (>= 2.9),
+         python3-selinux (>= 3.0),
+         python3-semanage (>= 3.0),
          ${misc:Depends},
          ${python3:Depends}
 Section: admin

=== debian/rules ===
--- 
+++ 
@@ -10,10 +10,6 @@
 DOPACKAGES = $(shell dh_listpackages)
 
 DH_ADDONS=
-ifneq ($(filter python-semanage,$(DOPACKAGES)),)
-PYVERSIONS = $(shell pyversions -rv)
-DH_ADDONS += --with=python2
-endif
 ifneq ($(filter python3-semanage,$(DOPACKAGES)),)
 PY3VERSIONS = $(shell py3versions -rv)
 DH_ADDONS += --with=python3
@@ -33,11 +29,6 @@
 override_dh_auto_build:
 	$(MAKE) all
 
-ifneq ($(filter python-semanage,$(DOPACKAGES)),)
-	set -e; for version in $(PYVERSIONS); do         \
-	  $(MAKE) pywrap PYTHON=python$$version PYLIBS=; \
-	done;
-endif
 ifneq ($(filter python3-semanage,$(DOPACKAGES)),)
 	set -e; for version in $(PY3VERSIONS); do        \
 	  $(MAKE) pywrap PYTHON=python$$version PYLIBS=; \
@@ -55,11 +46,6 @@
 	  SHLIBDIR="/usr/lib/${DEB_HOST_MULTIARCH}" \
 	  SELINUXEXECDIR="/usr/lib/selinux"
 
-ifneq ($(filter python-semanage,$(DOPACKAGES)),)
-	set -e; for version in $(PYVERSIONS); do         \
-	  $(MAKE) install-pywrap PYTHON=python$$version DESTDIR="${CURDIR}/debian/tmp"; \
-	done;
-endif
 ifneq ($(filter python3-semanage,$(DOPACKAGES)),)
 	set -e; for version in $(PY3VERSIONS); do        \
 	  $(MAKE) install-pywrap PYTHON=python$$version DESTDIR="${CURDIR}/debian/tmp"; \
@@ -72,8 +58,8 @@
 endif
 
 override_dh_auto_clean:
-ifneq ($(filter python-semanage,$(DOPACKAGES)),)
-	set -e; for version in $(PYVERSIONS); do         \
+ifneq ($(filter python3-semanage,$(DOPACKAGES)),)
+	set -e; for version in $(PY3VERSIONS); do         \
 	  $(MAKE) clean PYTHON=python$$version;  \
 	done;
 endif
@@ -83,9 +69,6 @@
 
 override_dh_fixperms:
 	dh_fixperms
-ifneq ($(filter python-semanage,$(DOPACKAGES)),)
-	chmod -x ${CURDIR}/debian/python-semanage/usr/lib/python*/*-packages/semanage.py
-endif
 ifneq ($(filter python3-semanage,$(DOPACKAGES)),)
 	chmod -x ${CURDIR}/debian/python3-semanage/usr/lib/python*/*-packages/semanage.py
 endif

## libsemanage 3.1

=== src/Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 PYINC ?= $(shell $(PKG_CONFIG) --cflags $(PYPREFIX))
 PYLIBS ?= $(shell $(PKG_CONFIG) --libs $(PYPREFIX))
 PYTHONLIBDIR ?= $(shell $(PYTHON) -c "from distutils.sysconfig import *; print(get_python_lib(plat_specific=1, prefix='$(PREFIX)'))")
-PYCEXT ?= $(shell $(PYTHON) -c 'import imp;print([s for s,m,t in imp.get_suffixes() if t == imp.C_EXTENSION][0])')
+PYCEXT ?= $(shell $(PYTHON) -c 'import importlib.machinery;print(importlib.machinery.EXTENSION_SUFFIXES[0])')
 RUBYINC ?= $(shell $(RUBY) -e 'puts "-I" + RbConfig::CONFIG["rubyarchhdrdir"] + " -I" + RbConfig::CONFIG["rubyhdrdir"]')
 RUBYLIBS ?= $(shell $(RUBY) -e 'puts "-L" + RbConfig::CONFIG["libdir"] + " -L" + RbConfig::CONFIG["archlibdir"] + " " + RbConfig::CONFIG["LIBRUBYARG_SHARED"]')
 RUBYINSTALL ?= $(shell $(RUBY) -e 'puts RbConfig::CONFIG["vendorarchdir"]')
@@ -22,8 +22,8 @@
 DEFAULT_SEMANAGE_CONF_LOCATION=/etc/selinux/semanage.conf
 
 ifeq ($(DEBUG),1)
-	export CFLAGS = -g3 -O0 -gdwarf-2 -fno-strict-aliasing -Wall -Wshadow -Werror
-	export LDFLAGS = -g
+	export CFLAGS ?= -g3 -O0 -gdwarf-2 -fno-strict-aliasing -Wall -Wshadow -Werror
+	export LDFLAGS ?= -g
 endif
 
 LEX = flex
@@ -53,7 +53,8 @@
 
 OBJS= $(patsubst %.c,%.o,$(SRCS)) conf-scan.o conf-parse.o
 LOBJS= $(patsubst %.c,%.lo,$(SRCS)) conf-scan.lo conf-parse.lo
-CFLAGS ?= -Werror -Wall -W -Wundef -Wshadow -Wmissing-noreturn -Wmissing-format-attribute
+CFLAGS ?= -Werror -Wall -W -Wundef -Wshadow -Wmissing-noreturn -Wmissing-format-attribute \
+	  -fno-semantic-interposition
 
 SWIG_CFLAGS += -Wno-error -Wno-unused-but-set-variable -Wno-unused-variable -Wno-shadow \
 		-Wno-unused-parameter

=== debian/changelog ===
libsemanage (3.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.

  [ Laurent Bigonville ]
  * New upstream release
    - debian/control: Bump {build-}dependencies to match new release
  * Set upstream metadata fields: Bug-Submit.
  * debian/gitlab-ci.yml: Add salsa CI
  * debian/rules: Clean the ruby bindings built for all versions, this fixes
    the ability to build the package twice (Closes: #951630)
  * debian/rules: Call dh_auto_clean even if we are not building any bindings
  * debian/rules: Add support to run make in parallel
  * Move semanage_migrate_store to /usr/libexec/selinux
  * debian/control: Set Rules-Requires-Root: no
  * debian/rules: Add -fno-semantic-interposition to the CFLAGS

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 1.6-1.
  * Update standards version to 4.5.0, no changes needed.

 -- Laurent Bigonville <bigon@debian.org>  Wed, 15 Jul 2020 09:58:16 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Build-Depends: bison,
-               debhelper (>= 12),
+               debhelper-compat (= 12),
                dh-python <!nopython>,
                file,
                flex,
@@ -16,14 +16,15 @@
                libaudit-dev,
                libbz2-dev,
                libcunit1-dev <!nocheck>,
-               libselinux1-dev (>= 3.0),
-               libsepol1-dev (>= 3.0),
+               libselinux1-dev (>= 3.1),
+               libsepol1-dev (>= 3.1),
                pkg-config,
                python3-all-dev <!nopython>,
-               secilc (>= 3.0) <!nocheck>,
+               secilc (>= 3.1) <!nocheck>,
                swig <!nopython> <!noruby>
 Homepage: http://userspace.selinuxproject.org/
 XS-Ruby-Versions: all
+Rules-Requires-Root: no
 
 Package: libsemanage-common
 Architecture: all
@@ -79,9 +80,9 @@
 Package: libsemanage1-dev
 Architecture: linux-any
 Depends: libbz2-dev,
-         libselinux1-dev (>= 3.0),
+         libselinux1-dev (>= 3.1),
          libsemanage1 (= ${binary:Version}),
-         libsepol1-dev (>= 3.0),
+         libsepol1-dev (>= 3.1),
          ${misc:Depends},
          ${shlibs:Depends}
 Provides: libsemanage-dev
@@ -144,10 +145,10 @@
 
 Package: semanage-utils
 Architecture: linux-any
-Depends: libsepol1 (>= 3.0),
+Depends: libsepol1 (>= 3.1),
          python3 (>= 3.2),
-         python3-selinux (>= 3.0),
-         python3-semanage (>= 3.0),
+         python3-selinux (>= 3.1),
+         python3-semanage (>= 3.1),
          ${misc:Depends},
          ${python3:Depends}
 Section: admin

=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,16 @@
 #export DH_VERBOSE=1
 
 include /usr/share/dpkg/architecture.mk
-ifeq ($(origin CC),default)
-CC := $(DEB_HOST_GNU_TYPE)-gcc
+# for cross compilation
+ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
+export CC := $(DEB_HOST_GNU_TYPE)-gcc
+export PKG_CONFIG := $(DEB_HOST_GNU_TYPE)-pkg-config
 endif
-export CC
+
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+    MAKEFLAGS += -j$(NUMJOBS)
+endif
 
 DOPACKAGES = $(shell dh_listpackages)
 
@@ -19,9 +25,11 @@
 DH_ADDONS += --with=ruby
 endif
 
+# Upstream recommends using this flag
+export DEB_CFLAGS_MAINT_APPEND = -fno-semantic-interposition
 # The build system doesn't use CPPFLAGS, pass them to CFLAGS to enable the
 # missing (hardening) flags.
-export DEB_CFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)
+export DEB_CFLAGS_MAINT_APPEND += $(shell dpkg-buildflags --get CPPFLAGS)
 
 %:
 	dh $@ $(DH_ADDONS)
@@ -43,8 +51,7 @@
 override_dh_auto_install:
 	$(MAKE) install DESTDIR="${CURDIR}/debian/tmp" \
 	  LIBDIR="/usr/lib/${DEB_HOST_MULTIARCH}" \
-	  SHLIBDIR="/usr/lib/${DEB_HOST_MULTIARCH}" \
-	  SELINUXEXECDIR="/usr/lib/selinux"
+	  SHLIBDIR="/usr/lib/${DEB_HOST_MULTIARCH}"
 
 ifneq ($(filter python3-semanage,$(DOPACKAGES)),)
 	set -e; for version in $(PY3VERSIONS); do        \
@@ -58,9 +65,15 @@
 endif
 
 override_dh_auto_clean:
+	dh_auto_clean
 ifneq ($(filter python3-semanage,$(DOPACKAGES)),)
 	set -e; for version in $(PY3VERSIONS); do         \
 	  $(MAKE) clean PYTHON=python$$version;  \
+	done;
+endif
+ifneq ($(filter ruby-semanage,$(DOPACKAGES)),)
+	set -e; for version in $(RUBY_VERSIONS); do      \
+	  $(MAKE) clean RUBY=$$version; \
 	done;
 endif

## libsemanage 3.2

=== debian/changelog ===
libsemanage (3.2-1) experimental; urgency=medium

  * New upstream version
    - debian/control: Bump {build-}dependencies to match new release
    - Bump the soname from 1 to 2, drop the soname from the -dev package
  * debian/watch: Update the URL to follow the new tagging format
  * debian/control: Drop ancients Breaks against selinux-policy-default and
    selinux-policy-mls
  * debian/patches/fix_tests.patch: Add the Forwarded tag to please lintian

 -- Laurent Bigonville <bigon@debian.org>  Sat, 24 Apr 2021 13:52:18 +0200

=== debian/control ===
--- 
+++ 
@@ -16,11 +16,11 @@
                libaudit-dev,
                libbz2-dev,
                libcunit1-dev <!nocheck>,
-               libselinux1-dev (>= 3.1),
-               libsepol1-dev (>= 3.1),
+               libselinux1-dev (>= 3.2),
+               libsepol-dev (>= 3.2),
                pkg-config,
                python3-all-dev <!nopython>,
-               secilc (>= 3.1) <!nocheck>,
+               secilc (>= 3.2) <!nocheck>,
                swig <!nopython> <!noruby>
 Homepage: http://userspace.selinuxproject.org/
 XS-Ruby-Versions: all
@@ -30,8 +30,6 @@
 Architecture: all
 Section: libs
 Depends: ${misc:Depends}
-Breaks: libsemanage1 (<= 2.0.41-1), libsemanage1-dev (<< 2.1.6-3~)
-Replaces: libsemanage1 (<= 2.0.41-1), libsemanage1-dev (<< 2.1.6-3~)
 Multi-Arch: foreign
 Description: Common files for SELinux policy management libraries
  This package provides the common files used by the shared libraries
@@ -47,15 +45,13 @@
  based on the concepts of Type Enforcement, Role-based Access
  Control, and Multi-level Security.
 
-Package: libsemanage1
+Package: libsemanage2
 Architecture: linux-any
 Section: libs
 Depends: libsemanage-common (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: policycoreutils (<< 3.0),
-        selinux-policy-default (<< 2:2.20140421-10~),
-        selinux-policy-mls (<< 2:2.20140421-10~)
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: SELinux policy management library
@@ -77,16 +73,16 @@
  based on the concepts of Type Enforcement, Role-based Access
  Control, and Multi-level Security.
 
-Package: libsemanage1-dev
+Package: libsemanage-dev
 Architecture: linux-any
 Depends: libbz2-dev,
-         libselinux1-dev (>= 3.1),
-         libsemanage1 (= ${binary:Version}),
-         libsepol1-dev (>= 3.1),
+         libselinux1-dev (>= 3.2),
+         libsemanage2 (= ${binary:Version}),
+         libsepol-dev (>= 3.2),
          ${misc:Depends},
          ${shlibs:Depends}
-Provides: libsemanage-dev
-Conflicts: libsemanage-dev
+Breaks: libsemanage1-dev (<< 3.2)
+Replaces: libsemanage1-dev (<< 3.2)
 Multi-Arch: same
 Description: Header files and libraries for SELinux policy manipulation
  This package provides an API for the management of SELinux policies.
@@ -145,10 +141,10 @@
 
 Package: semanage-utils
 Architecture: linux-any
-Depends: libsepol1 (>= 3.1),
+Depends: libsepol1 (>= 3.2),
          python3 (>= 3.2),
-         python3-selinux (>= 3.1),
-         python3-semanage (>= 3.1),
+         python3-selinux (>= 3.2),
+         python3-semanage (>= 3.2),
          ${misc:Depends},
          ${python3:Depends}
 Section: admin

## libsemanage 3.3

=== debian/changelog ===
libsemanage (3.3-1build2) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Mar 2022 15:06:36 +0100

libsemanage (3.3-1build1) jammy; urgency=medium

  * No-change upload due to ruby3.0 transition, remove ruby2.7 support.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 03 Dec 2021 18:05:49 -0300

libsemanage (3.3-1) unstable; urgency=medium

  [ Christian Göttsche ]
  * d/gitlab-ci.yml: Use Debian recipe
  * d/control: Bump debhelper compat to level 13
  * d/control: Bump Standards-Version to 4.5.1 (no further changes)
  * d/control: Update homepage
  * d/rules: Enable build hardening
  * d/rules: Enable -Wall -Wextra
  * d/control: Convert cute fields
  * d/control: Declare semanage-utils Architecture all

  [ Laurent Bigonville ]
  * debian/control: Properly depend against libsepol2 instead of libsepol1
  * New upstream version 3.3
    - debian/control: Bump {build-}dependencies to match new release
  * debian/control: Bump Standards-Version to 4.6.0 (no further changes)
  * debian/control: Relax the versioned dependency against -common a bit

 -- Laurent Bigonville <bigon@debian.org>  Mon, 08 Nov 2021 15:01:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: libsemanage
-VCS-Git: https://salsa.debian.org/selinux-team/libsemanage.git
-VCS-Browser: https://salsa.debian.org/selinux-team/libsemanage
+Vcs-Git: https://salsa.debian.org/selinux-team/libsemanage.git
+Vcs-Browser: https://salsa.debian.org/selinux-team/libsemanage
 Priority: optional
 Section: libdevel
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Build-Depends: bison,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-python <!nopython>,
                file,
                flex,
@@ -16,13 +16,13 @@
                libaudit-dev,
                libbz2-dev,
                libcunit1-dev <!nocheck>,
-               libselinux1-dev (>= 3.2),
-               libsepol-dev (>= 3.2),
+               libselinux1-dev (>= 3.3),
+               libsepol-dev (>= 3.3),
                pkg-config,
                python3-all-dev <!nopython>,
-               secilc (>= 3.2) <!nocheck>,
+               secilc (>= 3.3) <!nocheck>,
                swig <!nopython> <!noruby>
-Homepage: http://userspace.selinuxproject.org/
+Homepage: https://selinuxproject.org
 XS-Ruby-Versions: all
 Rules-Requires-Root: no
 
@@ -48,7 +48,7 @@
 Package: libsemanage2
 Architecture: linux-any
 Section: libs
-Depends: libsemanage-common (= ${source:Version}),
+Depends: libsemanage-common (>= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: policycoreutils (<< 3.0),
@@ -76,9 +76,9 @@
 Package: libsemanage-dev
 Architecture: linux-any
 Depends: libbz2-dev,
-         libselinux1-dev (>= 3.2),
+         libselinux1-dev (>= 3.3),
          libsemanage2 (= ${binary:Version}),
-         libsepol-dev (>= 3.2),
+         libsepol-dev (>= 3.3),
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: libsemanage1-dev (<< 3.2)
@@ -140,11 +140,11 @@
  Control, and Multi-level Security.
 
 Package: semanage-utils
-Architecture: linux-any
-Depends: libsepol1 (>= 3.2),
-         python3 (>= 3.2),
-         python3-selinux (>= 3.2),
-         python3-semanage (>= 3.2),
+Architecture: all
+Depends: libsepol2 (>= 3.3),
+         python3 (>= 3.3),
+         python3-selinux (>= 3.3),
+         python3-semanage (>= 3.3),
          ${misc:Depends},
          ${python3:Depends}
 Section: admin

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 include /usr/share/dpkg/architecture.mk
 # for cross compilation
@@ -28,8 +30,8 @@
 # Upstream recommends using this flag
 export DEB_CFLAGS_MAINT_APPEND = -fno-semantic-interposition
 # The build system doesn't use CPPFLAGS, pass them to CFLAGS to enable the
-# missing (hardening) flags.
-export DEB_CFLAGS_MAINT_APPEND += $(shell dpkg-buildflags --get CPPFLAGS)
+# missing (hardening) flags. Also enable Wall and Wextra to spot basic irregularities.
+export DEB_CFLAGS_MAINT_APPEND += $(shell dpkg-buildflags --get CPPFLAGS) -Wall -Wextra
 
 %:
 	dh $@ $(DH_ADDONS)
@@ -77,9 +79,6 @@
 	done;
 endif
 
-override_dh_missing:
-	dh_missing --list-missing
-
 override_dh_fixperms:
 	dh_fixperms
 ifneq ($(filter python3-semanage,$(DOPACKAGES)),)

## libsemanage 3.4

=== src/Makefile ===
--- 
+++ 
@@ -32,7 +32,7 @@
 YFLAGS = -d
 
 VERSION = $(shell cat ../VERSION)
-LIBVERSION = 1
+LIBVERSION = 2
 
 LIBA=libsemanage.a
 TARGET=libsemanage.so
@@ -57,7 +57,7 @@
 	  -fno-semantic-interposition
 
 SWIG_CFLAGS += -Wno-error -Wno-unused-but-set-variable -Wno-unused-variable -Wno-shadow \
-		-Wno-unused-parameter
+		-Wno-unused-parameter -Wno-missing-prototypes
 
 override CFLAGS += -I../include -D_GNU_SOURCE
 RANLIB ?= ranlib

=== debian/changelog ===
libsemanage (3.4-1) unstable; urgency=medium

  * New upstream release
    - debian/control: Bump {build-}dependencies to match new release
    - debian/libsemanage2.symbols: Add newly exported symbols
  * Enable GPG key validation of the upstream tarball

 -- Laurent Bigonville <bigon@debian.org>  Sat, 04 Jun 2022 19:10:35 +0200

=== debian/control ===
--- 
+++ 
@@ -16,11 +16,11 @@
                libaudit-dev,
                libbz2-dev,
                libcunit1-dev <!nocheck>,
-               libselinux1-dev (>= 3.3),
-               libsepol-dev (>= 3.3),
+               libselinux1-dev (>= 3.4),
+               libsepol-dev (>= 3.4),
                pkg-config,
                python3-all-dev <!nopython>,
-               secilc (>= 3.3) <!nocheck>,
+               secilc (>= 3.4) <!nocheck>,
                swig <!nopython> <!noruby>
 Homepage: https://selinuxproject.org
 XS-Ruby-Versions: all
@@ -76,9 +76,9 @@
 Package: libsemanage-dev
 Architecture: linux-any
 Depends: libbz2-dev,
-         libselinux1-dev (>= 3.3),
+         libselinux1-dev (>= 3.4),
          libsemanage2 (= ${binary:Version}),
-         libsepol-dev (>= 3.3),
+         libsepol-dev (>= 3.4),
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: libsemanage1-dev (<< 3.2)
@@ -141,10 +141,10 @@
 
 Package: semanage-utils
 Architecture: all
-Depends: libsepol2 (>= 3.3),
-         python3 (>= 3.3),
-         python3-selinux (>= 3.3),
-         python3-semanage (>= 3.3),
+Depends: libsepol2 (>= 3.4),
+         python3 (>= 3.2),
+         python3-selinux (>= 3.4),
+         python3-semanage (>= 3.4),
          ${misc:Depends},
          ${python3:Depends}
 Section: admin
